Bug 436625 - networkmanager shows wrong icon when vpnc connection times out
networkmanager shows wrong icon when vpnc connection times out
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 10:59 EST by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 15:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2008-03-08 10:59:03 EST
I'm using networkmanager on my desktop system, connecting to RH
using its vpn feature.  When I first connect, the networkmanager
applet shows a lock icon.

Overnight the vpn connection times out.  Now the applet shows an
icon with a small "x" in the lower right.  When I left click,
the vpn sub-menu will let me reconnect to the vpn -- the option to
disconnect is disabled (ISTR it was enabled in the same circumstance
in FC-6).

Now if I reconnect the vpn, the vpn works fine, but the applet
continues to show the "x" icon, not the locked icon.
Comment 1 Gianluca Varisco 2008-03-23 08:31:35 EDT
Hi Tom,

I've exactly the same problem. I have to re-click over 'Wired Network' (or to a
WLAN network) and after that I can re-see the 'connected' icon; after that, I
can see the locked icon by clicking on my VPN network.

Package: NetworkManager-0.7.0-0.6.7.svn3370.fc8 (updates-testing)
Comment 2 Gianluca Varisco 2008-09-05 05:10:57 EDT
Tom,

Do you still have this problem? Did you try latest F8-updates or updated directly to F9? Please let me know! ;-)
Comment 3 Tom Tromey 2008-09-08 12:40:58 EDT
I'm fully up-to-date on F8.
I have not seen this behavior in a while.
So, I believe it is probably fixed.
Comment 4 Dan Williams 2008-09-08 15:45:07 EDT
great, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.